Chuyển đến nội dung
Diễn đàn CADViet

gia_bach

CADViet Team
  • Số lượng nội dung

    1.586
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    107

Trạng thái Trả lời được đăng bởi gia_bach

  1. Anh thử lại bản mới ,link :http://www.cadviet.com/forum/index.php?showtopic=22767&view=findpost&p=134714

  2. chào bác. Mong bác giúp em với . em có dùng lisp tính diện tích hình Hath của bác. Giờ em muốn xóa tên Layer và m2 đi. em chỉ giữ lại Tex diện tích. Mong bác chỉ giáo em vs. Đt của em: 012.2626.2929

    DT Hinh Hath-hh1.LSP

    1. gia_bach

      gia_bach

      dùng  lisp nay:

       

      ;;;************TINH DIEN TICH VUNG HATCH*************************
      (defun c:hh1 (/ lst msp pt ss lay ar txtsiz)
        (vl-load-com)  
        (if (setq ss (ssget(list (cons 0 "HATCH"))))
          (progn
            (foreach e (mapcar 'vlax-ename->vla-object(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
              (setq lay (vla-get-layer e) ar (vla-get-area e))
              (if (not (assoc lay lst))
                (setq lst (cons (cons lay ar) lst))
                (setq lst (subst (cons lay (+ ar (cdr (assoc lay lst))))
                                 (assoc lay lst) lst)))      )
            (setq lst (vl-sort lst '(lambda (x y) (< (car x) (car y))))
                  tl 1
                  pt (getpoint "\nChon diem dat ket qua:" )
                  txtsiz (* (getvar "dimtxt")(getvar "dimscale"))
                  msp (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
            (foreach e lst
              ;(vla-addtext msp (car e) (vlax-3d-point pt) txtsiz )
              (vla-addtext msp (rtos (* (cdr e) tl) 2 2) (vlax-3d-point pt) txtsiz )
              (setq pt (polar pt (/ pi -2) (* 1.5 txtsiz)))  )      )
          (alert "Khong chon duoc Hatch.")    )
        (princ))

×